Bug 1046048 - Mail PEAR causes errors during deploy, no email capabilities in app
Summary: Mail PEAR causes errors during deploy, no email capabilities in app
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Vojtech Vitek
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-23 11:25 UTC by Dave Neary
Modified: 2015-05-15 00:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-30 00:54:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dave Neary 2013-12-23 11:25:34 UTC
When pushing to my app with "Mail" in deplists.txt, I get the following errors.

I have no email capabilities in the app afterwards, which is a handicap for a wiki, and no way to fix this.

Dave.

[dneary@leitrim wiki]$ git commit -m "Restore hot_deploy marker (forgot to do this after last recycle)"
[master 81ed0e7] Restore hot_deploy marker (forgot to do this after last recycle)
 1 file changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 .openshift/markers/hot_deploy
[dneary@leitrim wiki]$ git push
warning: push.default is unset; its implicit value is changing in
Git 2.0 from 'matching' to 'simple'. To squelch this message
and maintain the current behavior after the default changes, use:

  git config --global push.default matching

To squelch this message and adopt the new behavior now, use:

  git config --global push.default simple

See 'git help config' and search for 'push.default' for further information.
(the 'simple' mode was introduced in Git 1.7.11. Use the similar mode
'current' instead of 'simple' if you sometimes use older versions of Git)

Counting objects: 7, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 437 bytes | 0 bytes/s, done.
Total 4 (delta 2), reused 0 (delta 0)
remote: Not stopping cartridge mysql because hot deploy is enabled
remote: Not stopping cartridge php because hot deploy is enabled
remote: Building git ref 'master', commit 81ed0e7
remote: Building PHP cartridge
remote: Checking pear: Mail
remote: 
remote: PHP Notice:  unserialize(): Error at offset 7708 of 12715 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP   5. PEAR_Registry->getPackage() /usr/share/pear/PEAR/Command/Registry.php:278
remote: PHP   6. PEAR_Registry->_getPackage() /usr/share/pear/PEAR/Registry.php:1962
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1443
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: PHP Warning:  Invalid argument supplied for foreach() in /usr/share/pear/PEAR/Command/Registry.php on line 304
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP Notice:  Undefined index: data in /usr/share/pear/PEAR/Frontend/CLI.php on line 511
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP   5. PEAR_Frontend_CLI->outputData() /usr/share/pear/PEAR/Command/Registry.php:368
remote: PHP Notice:  Undefined index: data in /usr/share/pear/PEAR/Frontend/CLI.php on line 530
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP   5. PEAR_Frontend_CLI->outputData() /usr/share/pear/PEAR/Command/Registry.php:368
remote: PHP Notice:  Undefined index: data in /usr/share/pear/PEAR/Frontend/CLI.php on line 535
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP   5. PEAR_Frontend_CLI->outputData() /usr/share/pear/PEAR/Command/Registry.php:368
remote: 
remote: Notice: unserialize(): Error at offset 6371 of 9347 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 6371 of 9347 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:672
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 6371 of 9347 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 6371 of 9347 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:673
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Warning: in_array() expects parameter 2 to be array, boolean given in 10.php on line 707
remote: PHP Warning:  in_array() expects parameter 2 to be array, boolean given in /usr/share/pear/PEAR/REST/10.php on line 707
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. in_array() /usr/share/pear/PEAR/REST/10.php:707
remote: 
remote: Notice: unserialize(): Error at offset 7708 of 12715 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7708 of 12715 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:672
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 7708 of 12715 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7708 of 12715 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:673
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Warning: in_array() expects parameter 2 to be array, boolean given in 10.php on line 707
remote: PHP Warning:  in_array() expects parameter 2 to be array, boolean given in /usr/share/pear/PEAR/REST/10.php on line 707
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. in_array() /usr/share/pear/PEAR/REST/10.php:707
remote: 
remote: Notice: unserialize(): Error at offset 3353 of 6384 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3353 of 6384 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:672
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 3353 of 6384 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3353 of 6384 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:673
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Warning: in_array() expects parameter 2 to be array, boolean given in 10.php on line 707
remote: PHP Warning:  in_array() expects parameter 2 to be array, boolean given in /usr/share/pear/PEAR/REST/10.php on line 707
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. in_array() /usr/share/pear/PEAR/REST/10.php:707
remote: 
remote: Notice: unserialize(): Error at offset 2367 of 3472 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 2367 of 3472 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:672
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 2367 of 3472 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 2367 of 3472 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:673
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Warning: in_array() expects parameter 2 to be array, boolean given in 10.php on line 707
remote: PHP Warning:  in_array() expects parameter 2 to be array, boolean given in /usr/share/pear/PEAR/REST/10.php on line 707
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. in_array() /usr/share/pear/PEAR/REST/10.php:707
remote: 
remote: Notice: unserialize(): Error at offset 7708 of 12715 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7708 of 12715 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Command/Install.php:1250
remote: PHP   6. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   7. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 7708 of 12715 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7708 of 12715 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->initialize() /usr/share/pear/PEAR/Downloader.php:279
remote: PHP   6. PEAR_Downloader_Package->_fromString() /usr/share/pear/PEAR/Downloader/Package.php:190
remote: PHP   7. PEAR_Downloader->_getPackageDownloadUrl() /usr/share/pear/PEAR/Downloader/Package.php:1713
remote: PHP   8. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader.php:815
remote: PHP   9. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  10. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 7708 of 12715 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7708 of 12715 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->initialize() /usr/share/pear/PEAR/Downloader.php:279
remote: PHP   6. PEAR_Downloader_Package->_fromString() /usr/share/pear/PEAR/Downloader/Package.php:190
remote: PHP   7. PEAR_Downloader->_getPackageDownloadUrl() /usr/share/pear/PEAR/Downloader/Package.php:1713
remote: PHP   8. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader.php:816
remote: PHP   9. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  10. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 3353 of 6384 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3353 of 6384 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->detectDependencies() /usr/share/pear/PEAR/Downloader.php:392
remote: PHP   6. PEAR_Downloader_Package->_detect2() /usr/share/pear/PEAR/Downloader/Package.php:381
remote: PHP   7. PEAR_Downloader_Package->_detect2Dep() /usr/share/pear/PEAR/Downloader/Package.php:502
remote: PHP   8. PEAR_Downloader->_getDepPackageDownloadUrl() /usr/share/pear/PEAR/Downloader/Package.php:639
remote: PHP   9. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader.php:962
remote: PHP  10. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  11. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 3353 of 6384 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3353 of 6384 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->detectDependencies() /usr/share/pear/PEAR/Downloader.php:392
remote: PHP   6. PEAR_Downloader_Package->_detect2() /usr/share/pear/PEAR/Downloader/Package.php:381
remote: PHP   7. PEAR_Downloader_Package->_detect2Dep() /usr/share/pear/PEAR/Downloader/Package.php:502
remote: PHP   8. PEAR_Downloader_Package->isInstalled() /usr/share/pear/PEAR/Downloader/Package.php:667
remote: PHP   9. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader/Package.php:1221
remote: PHP  10. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  11. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: Did not download optional dependencies: pear/Net_SMTP, use --alldeps to download automatically
remote: 
remote: Notice: unserialize(): Error at offset 7708 of 12715 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7708 of 12715 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->removeInstalled() /usr/share/pear/PEAR/Downloader.php:429
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader/Package.php:416
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 3353 of 6384 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3353 of 6384 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader->analyzeDependencies() /usr/share/pear/PEAR/Downloader.php:437
remote: PHP   6. PEAR_Dependency2->validatePackageDependency() /usr/share/pear/PEAR/Downloader.php:595
remote: PHP   7. PEAR_Dependency2->_validatePackageDownload() /usr/share/pear/PEAR/Dependency2.php:639
remote: PHP   8. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Dependency2.php:688
remote: PHP   9. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  10. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: pear/Mail requires package "pear/Net_SMTP" (version >= 1.4.1), installed version is 
remote: No valid packages found
remote: upgrade failed
remote: An error occurred executing 'gear postreceive' (exit code: 1)
remote: Error message: Failed to execute: 'control build' for /var/lib/openshift/847edb45aea84198838f915be6faa066/php
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://847edb45aea84198838f915be6faa066@wiki-ovirt.rhcloud.com/~/git/wiki.git
   54becf4..81ed0e7  master -> master

Comment 1 Vojtech Vitek 2013-12-23 23:36:38 UTC
Dave, I can't reproduce this issue. It's possible that you hit the PEAR repository servers down at that moment. Could you please retry? 

php-5.3 app with Mail in the deplist.txt:
> git push
> Counting objects: 5, done.
> Delta compression using up to 4 threads.
> Compressing objects: 100% (2/2), done.
> Writing objects: 100% (3/3), 261 bytes | 0 bytes/s, done.
> Total 3 (delta 1), reused 0 (delta 0)
> remote: Stopping PHP cartridge
> remote: [Mon Dec 23 18:31:13 2013] [warn] PassEnv variable SHELL was undefined
> remote: [Mon Dec 23 18:31:13 2013] [warn] PassEnv variable USER was undefined
> remote: [Mon Dec 23 18:31:13 2013] [warn] PassEnv variable LOGNAME was undefined
> remote: Waiting for stop to finish
> remote: Building git ref 'master', commit f582f63
> remote: Building PHP cartridge
> remote: Checking pear: Mail
> remote: 
> remote: WARNING: "pear/Auth_SASL" is deprecated in favor of "pear/Auth_SASL2"
> remote: downloading Mail-1.2.0.tgz ...
> remote: Starting to download Mail-1.2.0.tgz (23,214 bytes)
> remote: ........done: 23,214 bytes
> remote: downloading Net_SMTP-1.6.2.tgz ...
> remote: Starting to download Net_SMTP-1.6.2.tgz (13,077 bytes)
> remote: ...done: 13,077 bytes
> remote: downloading Net_Socket-1.0.14.tgz ...
> remote: Starting to download Net_Socket-1.0.14.tgz (5,600 bytes)
> remote: ...done: 5,600 bytes
> remote: downloading Auth_SASL-1.0.6.tgz ...
> remote: Starting to download Auth_SASL-1.0.6.tgz (9,119 bytes)
> remote: ...done: 9,119 bytes
> remote: install ok: channel://pear.php.net/Mail-1.2.0
> remote: install ok: channel://pear.php.net/Net_Socket-1.0.14
> remote: install ok: channel://pear.php.net/Auth_SASL-1.0.6
> remote: install ok: channel://pear.php.net/Net_SMTP-1.6.2
> remote: Preparing build for deployment
> remote: Deployment id is 9eee02a0
> remote: Activating deployment
> remote: Starting PHP cartridge
> remote: Result: success
> remote: Activation status: success
> remote: Deployment completed with status: success

Comment 2 Dave Neary 2013-12-24 10:14:29 UTC
Hi Vojtech,

I should specify that this problem started with the upgrade from v1 to v2 cartridges. It doesn't affect new apps, I believe. Is there any debugging I can do, with the proviso that this is a live site, and downtime is problematic.

Dave.

Comment 3 Vojtech Vitek 2014-01-10 14:40:17 UTC
https://github.com/openshift/origin-server/pull/4450

Comment 4 Vojtech Vitek 2014-01-16 00:58:28 UTC
openshift-github-bot 2014-01-15 22:45:19 CET
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/d62bb4c3d394cc8ea2a7abbf7ca18d09d57e3c86
fix php cart PEAR builds

- ignore checking for php extensions, as they're not PEARs
- do not fail on upgrading PEAR to the same specific version
- upgrade each PEAR with all dependencies
- prevent malforming PEAR cache&registry files

Bug 1047473 - Fail to install missing dependencies to PHP-5.4 app via
deplist.txt - https://bugzilla.redhat.com/show_bug.cgi?id=1047473

Bug 1045338 - Failed to create drupal quickstart with php-5.4 cartridge
in INT - https://bugzilla.redhat.com/show_bug.cgi?id=1045338

Bug 1046048 - Mail PEAR causes errors during deploy, no email
capabilities - https://bugzilla.redhat.com/show_bug.cgi?id=1046048

Bug 977036 - PHP gear creating throwing PEAR warnings to platform
logs - https://bugzilla.redhat.com/show_bug.cgi?id=977036

Comment 5 Meng Bo 2014-01-16 07:51:35 UTC
The Mail dependency can be installed successfully on devenv_4230.

Waiting for stop to finish
Force clean build enabled - cleaning dependencies
Building git ref 'master', commit 2351647
Force clean build enabled - recreating PEARs
Checking deplist.txt for PEAR dependency..
Checking PEAR: Mail

WARNING: "pear/Auth_SASL" is deprecated in favor of "pear/Auth_SASL2"
downloading Mail-1.2.0.tgz ...
Starting to download Mail-1.2.0.tgz (23,214 bytes)
........done: 23,214 bytes
downloading Net_SMTP-1.6.2.tgz ...
Starting to download Net_SMTP-1.6.2.tgz (13,077 bytes)
...done: 13,077 bytes
downloading Net_Socket-1.0.14.tgz ...
Starting to download Net_Socket-1.0.14.tgz (5,600 bytes)
...done: 5,600 bytes
downloading Auth_SASL-1.0.6.tgz ...
Starting to download Auth_SASL-1.0.6.tgz (9,119 bytes)
...done: 9,119 bytes
install ok: channel://pear.php.net/Mail-1.2.0
install ok: channel://pear.php.net/Net_Socket-1.0.14
install ok: channel://pear.php.net/Auth_SASL-1.0.6
install ok: channel://pear.php.net/Net_SMTP-1.6.2

Preparing build for deployment
Deployment id is f185de7f
Activating deployment
Starting PHP 5.4 cartridge (Apache+mod_php)
Success

Comment 6 Dave Neary 2014-01-16 10:05:36 UTC
Hi,

Should I restart my gear? How do I know when this is deployed to Online?

Thanks,
Dave.

Comment 7 Meng Bo 2014-01-17 02:38:26 UTC
@dave
The fix should be pushed to Online on Jan 27th by schedule.
And I think you should receive an email about the new release.
You can check your gear after that.

Thanks


Note You need to log in before you can comment on or make changes to this bug.